My pfsense appliance Netgate SG-4860-1u just died on me during upgrade



  • I am in pickle, I just tried this upgrade and firewall just died, I can't see anything on console nothing on hard power cycle or cold power cycle, it power up lights are up but I don't see anything on console. These are the last messages I saw on GUI during upgrade

    Updating repositories metadata...
    Updating pfSense-core repository catalogue...
    Fetching meta.conf: . done
    Fetching packagesite.txz: . done
    Processing entries: . done
    pfSense-core repository update completed. 7 packages processed.
    Updating pfSense repository catalogue...
    Fetching meta.conf: . done
    Fetching packagesite.txz: .......... done
    Processing entries: .......... done
    pfSense repository update completed. 521 packages processed.
    All repositories are up to date.

    Setting vital flag on pkg... done.
    Removing vital flag from php72... done.
    Downloading upgrade packages...
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    pfSense repository is up to date.
    All repositories are up to date.
    Checking for upgrades (18 candidates): .......... done
    Processing candidates (18 candidates): .......... done
    The following 18 package(s) will be affected (of 0 checked):

    Installed packages to be UPGRADED:
    bind-tools: 9.14.9 -> 9.14.12 [pfSense]
    json-c: 0.13.1_1 -> 0.14 [pfSense]
    mysql57-client: 5.7.29 -> 5.7.30_1 [pfSense]
    pfSense: 2.4.5 -> 2.4.5_1 [pfSense]
    pfSense-base: 2.4.5 -> 2.4.5_1 [pfSense-core]
    pfSense-default-config-serial: 2.4.5 -> 2.4.5_1 [pfSense-core]
    pfSense-kernel-pfSense: 2.4.5 -> 2.4.5_1 [pfSense-core]
    pfSense-pkg-Netgate_Coreboot_Upgrade: 0.27_1 -> 0.29 [pfSense]
    pfSense-pkg-lldpd: 0.9.10 -> 0.9.11 [pfSense]
    pfSense-pkg-openvpn-client-export: 1.4.23 -> 1.4.23_1 [pfSense]
    pfSense-pkg-snort: 3.2.9.11 -> 3.2.9.13 [pfSense]
    pfSense-pkg-zabbix-agent4: 1.0.4_4 -> 1.0.4_6 [pfSense]
    pfSense-rc: 2.4.5 -> 2.4.5_1 [pfSense-core]
    python27: 2.7.17_1 -> 2.7.18 [pfSense]
    python37: 3.7.6 -> 3.7.7 [pfSense]
    sshguard: 2.4.0_3,1 -> 2.4.0_4,1 [pfSense]
    strongswan: 5.8.2 -> 5.8.4 [pfSense]
    unbound: 1.9.6 -> 1.10.1 [pfSense]

    Number of packages to be upgraded: 18

    The process will require 9 MiB more space.
    94 MiB to be downloaded.
    [1/18] Fetching unbound-1.10.1.txz: .......... done
    [2/18] Fetching strongswan-5.8.4.txz: .......... done
    [3/18] Fetching sshguard-2.4.0_4,1.txz: .......... done
    [4/18] Fetching python37-3.7.7.txz: .......... done
    [5/18] Fetching python27-2.7.18.txz: .......... done
    [6/18] Fetching pfSense-rc-2.4.5_1.txz: .. done
    [7/18] Fetching pfSense-pkg-zabbix-agent4-1.0.4_6.txz: .. done
    [8/18] Fetching pfSense-pkg-snort-3.2.9.13.txz: .......... done
    [9/18] Fetching pfSense-pkg-openvpn-client-export-1.4.23_1.txz: ... done
    [10/18] Fetching pfSense-pkg-lldpd-0.9.11.txz: .. done
    [11/18] Fetching pfSense-pkg-Netgate_Coreboot_Upgrade-0.29.txz: .......... done
    [12/18] Fetching pfSense-kernel-pfSense-2.4.5_1.txz: .......... done
    [13/18] Fetching pfSense-default-config-serial-2.4.5_1.txz: . done
    [14/18] Fetching pfSense-base-2.4.5_1.txz: .......... done
    [15/18] Fetching pfSense-2.4.5_1.txz: . done
    [16/18] Fetching mysql57-client-5.7.30_1.txz: .......... done
    [17/18] Fetching json-c-0.14.txz: ......... done
    [18/18] Fetching bind-tools-9.14.12.txz: .......... done
    Checking integrity... done (0 conflicting)

    Upgrading pfSense-rc...
    Checking integrity... done (0 conflicting)
    The following 1 package(s) will be affected (of 0 checked):

    Installed packages to be UPGRADED:
    pfSense-rc: 2.4.5 -> 2.4.5_1 [pfSense-core]

    Number of packages to be upgraded: 1
    [1/1] Upgrading pfSense-rc from 2.4.5 to 2.4.5_1...
    [1/1] Extracting pfSense-rc-2.4.5_1: ...... done

    Upgrading pfSense kernel...
    Checking integrity... done (0 conflicting)
    The following 1 package(s) will be affected (of 0 checked):

    Installed packages to be UPGRADED:
    pfSense-kernel-pfSense: 2.4.5 -> 2.4.5_1 [pfSense-core]

    Number of packages to be upgraded: 1

    The process will require 8 MiB more space.
    [1/1] Upgrading pfSense-kernel-pfSense from 2.4.5 to 2.4.5_1...
    [1/1] Extracting pfSense-kernel-pfSense-2.4.5_1: .......... done
    ===> Keeping a copy of current kernel in /boot/kernel.old



  • Damn I am surprised no one else has seen any issue with the upgrade pfSense-kernel-pfSense: 2.4.5 -> 2.4.5_1 [pfSense-core]



  • Like https://forum.netgate.com/topic/154847/unable-to-use-console-on-sg-1100 ?

    Keep in mind : even if pfSense doesn't start, that is, the kernel loads from disk, etc, the system has something called a BIOS, and that one wasn't changed/touched during upgrade.
    So, whatever happens, there must be some info shown during cold boot.
    Right now, chances are big your cable console setup isn't right ...

    Btw : I'm not owning a 4860-1
    Also : It's a Netgate device : contact them : see the Negate Appliances forum.



  • @hkjarral said in My pfsense appliance Netgate SG-4860-1u just died on me during upgrade:

    Damn I am surprised no one else has seen any issue with the upgrade pfSense-kernel-pfSense: 2.4.5 -> 2.4.5_1 [pfSense-core]

    The upgrade worked fine for me on my SG-4860.



  • Thank you guys, I will talk to netgate.


Log in to reply